/* (c) https://github.com/MontiCore/monticore */
// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: simulationController.proto

package protobuf;

public interface BooleanArrayOrBuilder extends
    // @@protoc_insertion_point(interface_extends:SimulationController.BooleanArray)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>repeated bool value = 1 [packed = true];</code>
   */
  java.util.List<java.lang.Boolean> getValueList();
  /**
   * <code>repeated bool value = 1 [packed = true];</code>
   */
  int getValueCount();
  /**
   * <code>repeated bool value = 1 [packed = true];</code>
   */
  boolean getValue(int index);
}
